package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;
import com.bridge.dto.QueryParamExp;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.util.StringUtils;

import java.util.Date;
import java.util.List;

@Setter
@Getter
public class detialQueryParam extends QueryParam{

    @ApiModelProperty(value = "操作号", name = "operateID", required = true)
    Integer operateID;

    @ApiModelProperty(value = "sn", name = "sn", required = true)
    public void setSn(String sn) {
        if (!StringUtils.isEmpty(sn))
            addParam(QueryParamExp.like("sn", "%".concat(sn).concat("%")));
    }

}


