package cn.fastfun.service.entity;

import com.bridge.entity.DateEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


@Entity
@Table(name = "app_imei_history")
@Setter
@Getter
public class AppImeiHistory extends DateEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "IMEI", name = "imei", required = true)
    @Column(name = "imei")
    private String imei;


    @ApiModelProperty(value = "SN", name = "sn", required = true)
    @Column(name = "sn")
    private String sn;


    @ApiModelProperty(value = "操作记录", name = "logId", required = true)
    @Column(name = "log_id")
    private String logId;


}
