package cn.fastfun.service.entity;


import com.bridge.entity.IdEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


@Entity
@Table(name = "sys_dict")
@Setter
@Getter
public class SysDict extends IdEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "分组", name = "groupName", required = true)
    @Column(name = "group_name")
    private String groupName;


    @ApiModelProperty(value = "分组名称", name = "groupTitle", required = true)
    @Column(name = "group_title")
    private String groupTitle;


    @ApiModelProperty(value = "名称", name = "name", required = true)
    @Column(name = "name")
    private String name;


    @ApiModelProperty(value = "值", name = "value", required = true)
    @Column(name = "value")
    private String value;


    @ApiModelProperty(value = "排序", name = "sort", required = true)
    @Column(name = "sort")
    private Integer sort;


}
